%define debug_package %{nil}

%define major 4
%define sfname masterpdfeditor%{major}

Summary:	PDF Editor
Name:		master-pdf-editor
Version:	%{major}.3.89
Release:	1
License:	Proprietary
Group:		Office
Url:		http://code-industry.net/free-pdf-editor.php
Source0:	http://get.code-industry.net/public/%{name}-%{version}_qt5.amd64.tar.gz
Source1:	http://get.code-industry.net/public/%{name}-%{version}_i386.tar.gz
Source2:	http://rosalinux.cba.pl/store/mpe/icons.tar.xz

%description
Master PDF Editor is the optimal solution for PDF 
files editing in Linux. It enables you to create,
edit, view, encrypt, sign and print interactive
PDF documents.

%files
%doc license.txt
%{_bindir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{sfname}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png

#----------------------------------------------------------------------------

%prep
%ifarch x86_64
%setup -q -T -b0 -n %{name}-%{major}
%else
%setup -q -T -b1 -n %{name}-%{major}
%endif

%build

%install
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -R %{sfname}.png %{buildroot}%{_datadir}/pixmaps/
tar -xf %{SOURCE2} -C %{buildroot}%{_datadir}/

mkdir -p %{buildroot}%{_libdir}/%{name}
cp -R * %{buildroot}%{_libdir}/%{name}/
rm -f %{buildroot}%{_libdir}/%{name}/%{sfname}.desktop
rm -f %{buildroot}%{_libdir}/%{name}/%{sfname}.png
rm -f %{buildroot}%{_libdir}/%{name}/license.txt

mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Master PDF Editor
Name[ru]=Мастер PDF Редактор
Comment=Edit PDF and XPS files
Comment[ru]=Редактирование PDF и XPS файлов
Exec=%{_libdir}/%{name}/%{sfname} %f
Icon=%{sfname}
Path=%{_libdir}/%{name}/
NoDisplay=false
StartupNotify=true
Terminal=false
Categories=Qt;KDE;Graphics;Office;Viewer;X-MandrivaLinux-Multimedia-Graphics;
MimeType=application/pdf;application/x-bzpdf;application/x-gzpdf;
X-KDE-SubstituteUID=false
EOF

mkdir -p %{buildroot}%{_bindir}/
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
%{_libdir}/%{name}/%{sfname}
EOF
chmod 755 %{buildroot}%{_bindir}/%{name}

%changelog

* Thu Mar 22 2018 survolog <survolog@yandex.ru> 4.3.89-1
- (152d717) Merge pull request #6 from survolog/master-pdf-editor:rosa2016.1
- (152d717) Update to 4.3.89


